module Stubber
  def self.stub_providers!(providers)
    return unless providers

    providers = [:ec2, :openstack] if providers == :all
    providers.each do |provider|
      next unless [:ec2, :openstack].include?(provider)
      require "tests/stubs/providers/#{provider}.rb"
    end
  end
end
